"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
exports.SERVER_PORT = process.env.PORT || 4242;
exports.COMMENTS_PER_PAGE = 10;
exports.SALT_ROUNDS = 3;
let corsOrigin = process.env.CORS_ORIGIN;
if (!corsOrigin) {
    console.error('CORS_ORIGIN env variable must be set, default localhost:4200 will be used');
    corsOrigin = 'http://localhost:4200';
}
exports.CORS_ORIGIN = corsOrigin;
let dbUrl = process.env.DB_URL;
if (!dbUrl) {
    console.error('DB_URL env variable must be set, default local mongo will be used');
    dbUrl = 'mongodb://localhost:27017/ngrx-quiz-api';
}
exports.DB_URL = dbUrl;
let jwtSecretJey = process.env.JWT_SECRET_KEY;
if (!jwtSecretJey) {
    console.error('JWT_SECRET_KEY env variable must be set, unsecure default will be used');
    jwtSecretJey = 'CHANGEME_JWT_S3CR3T';
}
exports.JWT_SECRET_KEY = jwtSecretJey;
let cookieSecretKey = process.env.COOKIE_SECRET_KEY;
if (!cookieSecretKey) {
    console.error('COOKIE_SECRET_KEY env variable must be set, unsecure default will be used');
    cookieSecretKey = 'CHANGEME_COOKIE_S3CR3T';
}
exports.COOKIE_SECRET_KEY = cookieSecretKey;
exports.OAUTH_TOKEN_CALLBACK_URL = process.env.OAUTH_TOKEN_CALLBACK_URL;
if (!exports.OAUTH_TOKEN_CALLBACK_URL) {
    console.error('OAUTH_TOKEN_CALLBACK_URL env variable must be set');
}
exports.OAUTH_GOOGLE_CLIENT_ID = process.env.OAUTH_GOOGLE_CLIENT_ID;
if (!exports.OAUTH_GOOGLE_CLIENT_ID) {
    console.error('OAUTH_GOOGLE_CLIENT_ID env variable must be set');
}
exports.OAUTH_GOOGLE_CLIENT_SECRET = process.env.OAUTH_GOOGLE_CLIENT_SECRET;
if (!exports.OAUTH_GOOGLE_CLIENT_SECRET) {
    console.error('OAUTH_GOOGLE_CLIENT_SECRET env variable must be set');
}
exports.OAUTH_GITHUB_CLIENT_ID = process.env.OAUTH_GITHUB_CLIENT_ID;
if (!exports.OAUTH_GITHUB_CLIENT_ID) {
    console.error('OAUTH_GITHUB_CLIENT_ID env variable must be set');
}
exports.OAUTH_GITHUB_CLIENT_SECRET = process.env.OAUTH_GITHUB_CLIENT_SECRET;
if (!exports.OAUTH_GITHUB_CLIENT_SECRET) {
    console.error('OAUTH_GITHUB_CLIENT_SECRET env variable must be set');
}
exports.RECAPTCHA_SECRET = process.env.RECAPTCHA_SECRET;
if (!exports.RECAPTCHA_SECRET) {
    console.error('RECAPTCHA_SECRET env variable must be set');
}
exports.MAIL_HOST = process.env.MAIL_HOST;
if (!exports.MAIL_HOST) {
    console.error('MAIL_HOST env variable must be set');
}
exports.MAIL_PORT = process.env.MAIL_PORT;
if (!exports.MAIL_PORT) {
    console.error('MAIL_PORT env variable must be set');
}
exports.MAIL_USER = process.env.MAIL_USER;
if (!exports.MAIL_USER) {
    console.error('MAIL_USER env variable must be set');
}
exports.MAIL_PASS = process.env.MAIL_PASS;
if (!exports.MAIL_PASS) {
    console.error('MAIL_PASS env variable must be set');
}
exports.MAIL_RESET_URL = process.env.MAIL_RESET_URL;
if (!exports.MAIL_RESET_URL) {
    console.error('MAIL_RESET_URL env variable must be set');
}
