"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const response_writer_1 = require("../../api/response-writer");
class AdminQuizItemController {
    constructor(repo) {
        this.repo = repo;
    }
    getItem(req, res, next) {
        return response_writer_1.writeResponse(this.repo.getItem(req.params.itemId), req, res, next);
    }
    createItem(req, res, next) {
        return response_writer_1.writeResponse(this.repo.createItem(req.query.quizId, req.body), req, res, next);
    }
    updateItem(req, res, next) {
        return response_writer_1.writeResponse(this.repo.updateItem(req.params.itemId, req.body), req, res, next);
    }
    deleteItem(req, res, next) {
        return response_writer_1.writeResponse(this.repo.deleteItem(req.params.itemId), req, res, next);
    }
    updateQuizItemsOrder(req, res, next) {
        return response_writer_1.writeResponse(this.repo.updateQuizItemsOrder(req.params.quizId, req.body.itemIds), req, res, next);
    }
}
exports.AdminQuizItemController = AdminQuizItemController;
