"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const express_1 = require("express");
const admin_quiz_item_controller_1 = require("./admin-quiz-item-controller");
const admin_quiz_item_repo_1 = require("./admin-quiz-item-repo");
const controller = new admin_quiz_item_controller_1.AdminQuizItemController(new admin_quiz_item_repo_1.AdminQuizItemRepo());
const router = express_1.Router();
router.post('/', controller.createItem.bind(controller));
router.get('/:itemId', controller.getItem.bind(controller));
router.put('/:itemId', controller.updateItem.bind(controller));
router.delete('/:itemId', controller.deleteItem.bind(controller));
router.put('/order/:quizId', controller.updateQuizItemsOrder.bind(controller));
exports.adminQuizItemRouter = router;
