import { Response, NextFunction } from 'express';
import { QuizMetaAdmin, QuizMetaListItem } from 'ngrx-quiz-common';
import { ApiRequest } from '../../api/api-request';
import { AdminQuizRepo } from './admin-quiz-repo';
export declare class AdminQuizController {
    private repo;
    constructor(repo: AdminQuizRepo);
    getQuizList(req: ApiRequest, res: Response, next: NextFunction): Promise<QuizMetaListItem[]>;
    getQuiz(req: ApiRequest, res: Response, next: NextFunction): Promise<QuizMetaAdmin>;
    createQuiz(req: ApiRequest, res: Response, next: NextFunction): Promise<QuizMetaAdmin>;
    updateQuiz(req: ApiRequest, res: Response, next: NextFunction): Promise<QuizMetaAdmin>;
    deleteQuiz(req: ApiRequest, res: Response, next: NextFunction): Promise<void>;
    publishQuiz(req: ApiRequest, res: Response, next: NextFunction): Promise<void>;
    unpublishQuiz(req: ApiRequest, res: Response, next: NextFunction): Promise<void>;
}
