"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const api_error_1 = require("../../api/api-error");
const response_writer_1 = require("../../api/response-writer");
class AdminQuizController {
    constructor(repo) {
        this.repo = repo;
    }
    getQuizList(req, res, next) {
        return response_writer_1.writeResponse(this.repo.getQuizList(req.tokenData.user), req, res, next);
    }
    getQuiz(req, res, next) {
        return response_writer_1.writeResponse(this.repo.getQuiz(req.params.quizId, req.tokenData.user), req, res, next);
    }
    createQuiz(req, res, next) {
        return response_writer_1.writeResponse(this.repo.createQuiz(req.body, req.tokenData.user), req, res, next);
    }
    updateQuiz(req, res, next) {
        return response_writer_1.writeResponse(this.repo.updateQuiz(req.params.quizId, req.body, req.tokenData.user), req, res, next);
    }
    deleteQuiz(req, res, next) {
        return response_writer_1.writeResponse(this.repo.deleteQuiz(req.params.quizId, req.tokenData.user), req, res, next);
    }
    publishQuiz(req, res, next) {
        return response_writer_1.writeResponse(this.repo.publishQuiz(req.params.quizId, req.tokenData.user)
            .then((success) => {
            if (!success) {
                throw new api_error_1.ApiError('No such quiz', 404);
            }
        }), req, res, next);
    }
    unpublishQuiz(req, res, next) {
        return response_writer_1.writeResponse(this.repo.unpublishQuiz(req.params.quizId, req.tokenData.user)
            .then((success) => {
            if (!success) {
                throw new api_error_1.ApiError('No such quiz', 404);
            }
        }), req, res, next);
    }
}
exports.AdminQuizController = AdminQuizController;
