"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const express_1 = require("express");
const admin_quiz_controller_1 = require("./admin-quiz-controller");
const admin_quiz_repo_1 = require("./admin-quiz-repo");
const controller = new admin_quiz_controller_1.AdminQuizController(new admin_quiz_repo_1.AdminQuizRepo());
const router = express_1.Router();
router.get('/', controller.getQuizList.bind(controller));
router.post('/', controller.createQuiz.bind(controller));
router.get('/:quizId', controller.getQuiz.bind(controller));
router.put('/:quizId', controller.updateQuiz.bind(controller));
router.delete('/:quizId', controller.deleteQuiz.bind(controller));
router.post('/publish/:quizId', controller.publishQuiz.bind(controller));
router.delete('/unpublish/:quizId', controller.unpublishQuiz.bind(controller));
exports.adminQuizRouter = router;
