import { Request, Response, NextFunction } from 'express';
import { AuthRepo } from './auth-repo';
import { TokenRepo } from '../token/token-repo';
import { TokenResponse } from '../../token/token-data';
export declare class AuthController {
    private repo;
    private tokenRepo;
    constructor(repo: AuthRepo, tokenRepo: TokenRepo);
    login(req: Request, res: Response, next: NextFunction): Promise<TokenResponse>;
    private loginAux;
    logout(req: Request, res: Response, next: NextFunction): Promise<void>;
    register(req: Request, res: Response, next: NextFunction): Promise<TokenResponse>;
    refreshToken(req: Request, res: Response, next: NextFunction): Promise<TokenResponse>;
    anonymousLogin(req: Request, res: Response, next: NextFunction): Promise<TokenResponse>;
    requestResetPassToken(req: Request, res: Response, next: NextFunction): Promise<boolean>;
    resetPass(req: Request, res: Response, next: NextFunction): Promise<TokenResponse>;
}
