"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const express_1 = require("express");
const auth_controller_1 = require("./auth-controller");
const auth_repo_1 = require("./auth-repo");
const token_repo_1 = require("../token/token-repo");
const controller = new auth_controller_1.AuthController(new auth_repo_1.AuthRepo(), new token_repo_1.TokenRepo());
const router = express_1.Router();
router.post('/login', controller.login.bind(controller));
router.post('/anonymous', controller.anonymousLogin.bind(controller));
router.post('/logout', controller.logout.bind(controller));
router.post('/register', controller.register.bind(controller));
router.post('/refresh-token', controller.refreshToken.bind(controller));
router.post('/request-password', controller.requestResetPassToken.bind(controller));
router.put('/reset-password', controller.resetPass.bind(controller));
exports.authRouter = router;
