"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const response_writer_1 = require("../../api/response-writer");
const ban_words_1 = require("../../utils/ban-words");
class CommentController {
    constructor(repo) {
        this.repo = repo;
    }
    getComments(req, res, next) {
        const offset = +req.query.offset ? +req.query.offset : 0;
        return response_writer_1.writeResponse(this.repo.getComments(req.params.itemId, offset), req, res, next);
    }
    addComment(req, res, next) {
        return response_writer_1.writeResponse(this.repo.addComment({
            itemId: req.params.itemId,
            userId: req.tokenData.user.id,
            text: ban_words_1.BanWords.clean(req.body.text)
        }), req, res, next);
    }
}
exports.CommentController = CommentController;
