"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const mongoose = require("mongoose");
// tslint:disable-next-line variable-name
const ItemCommentSchema = new mongoose.Schema({
    userId: {
        type: mongoose.SchemaTypes.ObjectId,
        ref: 'User'
    },
    itemId: {
        type: mongoose.SchemaTypes.ObjectId,
        ref: 'QuizItem'
    },
    text: {
        type: mongoose.SchemaTypes.String,
        trim: true,
        maxlength: 2048,
        required: true
    }
}, {
    timestamps: true
});
ItemCommentSchema.index({ itemId: 1, createdAt: -1 });
// tslint:disable-next-line variable-name
exports.ItemCommentModel = mongoose.model('ItemComment', ItemCommentSchema);
