"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const express_1 = require("express");
const item_comment_controller_1 = require("./item-comment-controller");
const item_comment_repo_1 = require("./item-comment-repo");
const controller = new item_comment_controller_1.CommentController(new item_comment_repo_1.CommentRepo());
exports.router = express_1.Router();
exports.router.get('/item/:itemId', controller.getComments.bind(controller));
exports.router.post('/item/:itemId', controller.addComment.bind(controller));
exports.itemCommentRouter = exports.router;
