"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const express_1 = require("express");
const oauth_controller_1 = require("./oauth-controller");
const token_repo_1 = require("../token/token-repo");
const auth_repo_1 = require("../auth/auth-repo");
const controller = new oauth_controller_1.OAuthController(new token_repo_1.TokenRepo(), new auth_repo_1.AuthRepo());
const router = express_1.Router();
router.get('/google', controller.google.bind(controller));
router.get('/github', controller.github.bind(controller));
exports.oauthRouter = router;
