"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const api_error_1 = require("../../api/api-error");
class AnswerResultHelper {
    static arrayEqual(array1, array2) {
        return [...array1].sort().join(' ') === [...array2].sort().join(' ');
    }
    static create(userChoiceIds, doc) {
        if (!doc) {
            throw new api_error_1.ApiError('Item not found', 404);
        }
        const choices = doc.choices;
        const totalAnswers = choices.reduce((sum, ch) => sum + ch.counter, 0);
        return {
            choices: choices.map((choice) => {
                const checked = userChoiceIds.includes(choice.id);
                return {
                    checked,
                    id: choice.id,
                    explanation: checked && choice.explanation,
                    correct: choice.correct,
                    popularity: choice.counter / totalAnswers
                };
            }),
            correct: AnswerResultHelper.arrayEqual(userChoiceIds, choices.filter(ch => ch.correct).map(ch => ch.id))
        };
    }
}
exports.AnswerResultHelper = AnswerResultHelper;
