import { Response, NextFunction } from 'express';
import { QuizItem, QuizItemAnswered, QuizItemAnswer } from 'ngrx-quiz-common';
import { QuizItemRepo } from './quiz-item-repo';
import { ScoreRepo } from '../score/score-repo';
import { ApiRequest } from '../../api/api-request';
export declare class QuizItemController {
    private repo;
    private scoreRepo;
    constructor(repo: QuizItemRepo, scoreRepo: ScoreRepo);
    getQuizItems(req: ApiRequest, res: Response, next: NextFunction): Promise<QuizItem[]>;
    getItem(req: ApiRequest, res: Response, next: NextFunction): Promise<QuizItem | QuizItemAnswered>;
    submitAnswer(req: ApiRequest, res: Response, next: NextFunction): Promise<QuizItemAnswer>;
}
