"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const mongoose = require("mongoose");
const quiz_item_choice_model_1 = require("./quiz-item-choice-model");
// tslint:disable-next-line variable-name
exports.QuizItemSchema = new mongoose.Schema({
    quizId: {
        type: mongoose.SchemaTypes.ObjectId,
        ref: 'Quiz'
    },
    question: {
        type: mongoose.SchemaTypes.String,
        required: true,
        maxlength: 4096,
        trim: true
    },
    randomizeChoices: {
        type: mongoose.SchemaTypes.Boolean,
        required: true
    },
    singleChoice: {
        type: mongoose.SchemaTypes.Boolean,
        required: true
    },
    choices: [quiz_item_choice_model_1.QuizItemChoiceSchema],
    order: {
        type: mongoose.Schema.Types.Number,
        required: true,
        default: 0,
        select: false
    },
    counter: {
        type: mongoose.Schema.Types.Number,
        required: true,
        default: 0,
        select: false
    }
}, {
    collection: 'items',
    timestamps: true
});
exports.QuizItemSchema.index({ quizId: 1, order: 1 });
// tslint:disable-next-line variable-name
exports.QuizItemModel = mongoose.model('QuizItem', exports.QuizItemSchema);
