"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const express_1 = require("express");
const quiz_item_repo_1 = require("./quiz-item-repo");
const score_repo_1 = require("../score/score-repo");
const quiz_item_controller_1 = require("./quiz-item-controller");
const controller = new quiz_item_controller_1.QuizItemController(new quiz_item_repo_1.QuizItemRepo(), new score_repo_1.ScoreRepo());
exports.router = express_1.Router();
exports.router.get('/', controller.getQuizItems.bind(controller));
exports.router.get('/:itemId', controller.getItem.bind(controller));
exports.router.post('/answers/:itemId', controller.submitAnswer.bind(controller));
exports.quizItemRouter = exports.router;
