"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const api_error_1 = require("../../api/api-error");
const response_writer_1 = require("../../api/response-writer");
class QuizController {
    constructor(repo) {
        this.repo = repo;
    }
    getQuizList(req, res, next) {
        return response_writer_1.writeResponse(this.repo.getQuizList().then((quizes) => quizes.map((quiz) => (Object.assign({}, quiz, { started: req.stateService.isStarted(quiz.id), finished: req.stateService.isFinished(quiz.id) })))), req, res, next);
    }
    getQuiz(req, res, next) {
        return response_writer_1.writeResponse(this.repo.getQuiz(req.params.shortName)
            .then((quiz) => {
            req.stateService.initQuizState(quiz);
            return Object.assign({}, quiz, req.stateService.getClientQuizState(quiz.id));
        }), req, res, next);
    }
    resetQuizState(req, res, next) {
        const quizState = req.stateService.getQuizState(req.params.quizId);
        if (!quizState) {
            return response_writer_1.writeErrorResponse(res, next, new api_error_1.ApiError('Quiz is not initialized', 409));
        }
        req.stateService.resetQuizState(req.params.quizId);
        return response_writer_1.writeResponse(Promise.resolve(), req, res, next);
    }
}
exports.QuizController = QuizController;
