"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const mongoose = require("mongoose");
// tslint:disable-next-line variable-name
exports.QuizSchema = new mongoose.Schema({
    name: {
        type: mongoose.SchemaTypes.String,
        trim: true,
        maxlength: 128,
        required: true
    },
    shortName: {
        type: mongoose.SchemaTypes.String,
        trim: true,
        required: true,
        maxlength: 64,
        index: {
            unique: true
        }
    },
    description: {
        type: mongoose.SchemaTypes.String,
        trim: true,
        maxlength: 1024,
        required: true
    },
    descriptionFull: {
        type: mongoose.SchemaTypes.String,
        trim: true,
        maxlength: 2048,
        required: true
    },
    randomizeItems: {
        type: mongoose.SchemaTypes.Boolean,
        required: true
    },
    userId: {
        type: mongoose.SchemaTypes.ObjectId,
        required: true
    },
    published: {
        type: mongoose.SchemaTypes.Boolean,
        required: true,
        default: false
    },
    public: {
        type: mongoose.SchemaTypes.Boolean,
        required: true,
        default: true
    }
}, {
    collection: 'quizes',
    timestamps: true
});
// tslint:disable-next-line variable-name
exports.QuizModel = mongoose.model('Quiz', exports.QuizSchema);
