"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const express_1 = require("express");
const quiz_repo_1 = require("./quiz-repo");
const quiz_controller_1 = require("./quiz-controller");
const token_guard_1 = require("../../token/token-guard");
const controller = new quiz_controller_1.QuizController(new quiz_repo_1.QuizRepo());
const router = express_1.Router();
router.get('/', controller.getQuizList.bind(controller));
router.get('/:shortName', controller.getQuiz.bind(controller));
router.post('/reset/:quizId', token_guard_1.tokenGuard, controller.resetQuizState.bind(controller));
exports.quizRouter = router;
