"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const mongoose = require("mongoose");
// tslint:disable-next-line variable-name
exports.QuizScoreSchema = new mongoose.Schema({
    quizId: {
        type: mongoose.SchemaTypes.ObjectId,
        ref: 'Quiz',
        required: true,
        index: {
            unique: false
        }
    },
    userId: {
        type: mongoose.SchemaTypes.ObjectId,
        ref: 'User',
        required: false,
        default: null
    },
    sessionId: {
        type: mongoose.SchemaTypes.String,
        maxlength: 64,
        required: true
    },
    score: {
        type: mongoose.SchemaTypes.Number,
        min: 0,
        max: 500,
        required: true
    }
}, {
    collection: 'scores',
    timestamps: true
});
// tslint:disable-next-line variable-name
exports.QuizScoreModel = mongoose.model('QuizScore', exports.QuizScoreSchema);
