"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const express_1 = require("express");
const score_repo_1 = require("../score/score-repo");
const score_controller_1 = require("./score-controller");
const controller = new score_controller_1.ScoreController(new score_repo_1.ScoreRepo());
const router = express_1.Router();
router.get('/top/:quizId', controller.getTopScores.bind(controller));
router.get('/quiz/:quizId', controller.getQuizScore.bind(controller));
router.get('/quiz-stats/:quizId', controller.getQuizScoreStats.bind(controller));
exports.quizScoreRouter = router;
