"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const user_token_model_1 = require("./user-token-model");
const oauth_token_model_1 = require("./oauth-token-model");
const random_1 = require("../../utils/random");
class TokenRepo {
    exists(userId, token) {
        return user_token_model_1.UserTokenModel
            .findOne({
            token,
            userId
        })
            .exec()
            .then((res) => !!res);
    }
    storeUserToken(userId, token) {
        return user_token_model_1.UserTokenModel.findOneAndUpdate({
            userId
        }, {
            $set: {
                token
            }
        }, {
            upsert: true
        }).exec()
            .then(() => true);
    }
    removeUserToken(userId) {
        return user_token_model_1.UserTokenModel.findByIdAndRemove(userId).exec()
            .then(() => true);
    }
    storeOauthToken(tokenInfo, social) {
        return oauth_token_model_1.OAuthTokenModel.create({ token: tokenInfo }).then(() => {
            const email = tokenInfo.email || `${tokenInfo.login}@github.com`;
            const fullName = tokenInfo.name || tokenInfo.login;
            return {
                email,
                fullName,
                social,
                id: null,
                password: random_1.RandomUtils.generateAlfaNum(12, 32),
                admin: false,
                anonymous: false
            };
        });
    }
}
exports.TokenRepo = TokenRepo;
