"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const mongoose = require("mongoose");
// tslint:disable-next-line variable-name
const UserTokenSchema = new mongoose.Schema({
    userId: {
        type: mongoose.SchemaTypes.ObjectId,
        ref: 'User',
        required: true,
        index: {
            unique: true
        }
    },
    token: {
        type: mongoose.SchemaTypes.String,
        maxlength: 4096,
        trim: true,
        required: true
    }
}, {
    timestamps: true
});
// tslint:disable-next-line variable-name
exports.UserTokenModel = mongoose.model('UserToken', UserTokenSchema);
