import { QuizMeta, QuizItemAnswer } from 'ngrx-quiz-common';
import { QuizState, ClientQuizState } from './quiz-state';
import { QuizScoreDoc } from '../entities/score/score-model';
import { ApiRequest } from '../api/api-request';
export declare class StateService {
    private req;
    private state;
    constructor(req: ApiRequest);
    getQuizState(quizId: string): QuizState;
    getIdByName(quizName: string): string;
    hasQuizState(quizId: string): boolean;
    initQuizState(quiz: QuizMeta): void;
    resetQuizState(quizId: string): void;
    getClientQuizState(quizId: string): ClientQuizState;
    getAnsweredCount(quizId: string): number;
    getTotalQuestions(quizId: string): number;
    isStarted(quizId: string): boolean;
    isFinished(quizId: string): boolean;
    isAnswered(quizId: string, itemId: string): boolean;
    getItemAnswer(quizId: string, itemId: string): QuizItemAnswer;
    addAnswer(quizId: string, itemId: string, answerResult: QuizItemAnswer): void;
    isScoreSaved(quizId: string): boolean;
    isScoreSaveRequired(quizId: string): boolean;
    getQuizScoreDoc(quizId: string): QuizScoreDoc;
}
