"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const token_utils_1 = require("./token-utils");
const response_writer_1 = require("../api/response-writer");
exports.tokenGuard = (req, res, next) => {
    token_utils_1.TokenUtils.verify(token_utils_1.TokenUtils.parseFromRequest(req))
        .then((tokenData) => {
        req.tokenData = tokenData;
        // validation over db (TokenRepo) can be done here, but it's additional db load;
        // for now deliberately allowing possibly stolen token to be used
        // in short time before its expiration; otherwise no need to use JWT at all here
        next();
    })
        .catch((err) => response_writer_1.writeErrorResponse(res, next, err.message, 401));
};
