"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Project: ngrx-quiz-api (https://github.com/pmstss/ngrx-quiz-api)
 * Copyright 2019 Viachaslau Tyshkavets
 * Licensed under the GPLv3 License. See LICENSE.txt in the project root for license information.
 */
const fetch = require('node-fetch');
const consts_1 = require("../consts/consts");
function verifyRecaptcha(captchaToken) {
    const params = new URLSearchParams();
    params.append('secret', consts_1.RECAPTCHA_SECRET);
    params.append('response', captchaToken);
    return fetch('https://www.google.com/recaptcha/api/siteverify', {
        method: 'POST',
        body: params
    })
        .then((response) => response.json())
        .then((recaptchaResponse) => recaptchaResponse.success);
}
exports.verifyRecaptcha = verifyRecaptcha;
